
Redmine - Defect #24402

sqlserver2014: db:migrate failed

2016-11-18 09:14 - 刘 彤彤

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Installing Redmine-3.3.1、ruby 2.3.1p112、sqlserver2014.

run commond：db:migrate

errors:

undefine method 'type' for nil:NilClass  in/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb

hao to fixed it?

I'm delete 20160416072926_remove_position_defaults.rb filed from the redmine-3.3.1,db:migrate is success AND It works fine.

Related issues:

Related to Redmine - Patch #31230: Fix: migration fails in MS SQL-Server Closed

History

#1 - 2016-11-19 05:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please post full log with --trace option.

#2 - 2016-11-21 04:04 - 刘 彤彤

- File screensnap.png added

20160404080304 ForcePasswordResetDuringSetup: migrating ==================

20160404080304 ForcePasswordResetDuringSetup: migrated (0.0126s) =========   20160416072926 RemovePositionDefaults: migrating

=========================

-- change_column("boards", :position, :integer, {:default=>nil})

 > 0.0541s

- change_column("custom_fields", :position, :integer, {:default=>nil})

rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:   

undefined method `type' for nil:NilClass/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb:4:in `block in up'

/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb:3:in `each'

/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb:3:in `up'

NoMethodError: undefined method `type' for nil:NilClass

/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb:4:in `block in up'

/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb:3:in `each'

/opt/redmine-3.3.1/db/migrate/20160416072926_remove_position_defaults.rb:3:in `up'

Tasks: TOP => db:migrate

(See full trace by running task with --trace)

[root@redhat redmine-3.3.1]#

#3 - 2016-11-21 04:05 - 刘 彤彤

change to mysql，db:migrate is success AND It works fine。but sqlserver2014 is failed。

#4 - 2016-11-21 04:30 - Toshi MARUYAMA

- Subject changed from db:migrate failed to sqlserver2014: db:migrate failed

- Category set to Database

- Status changed from Needs feedback to New

#5 - 2016-11-21 04:52 - 刘 彤彤

2024-04-09 1/2



hao to fix it?

#6 - 2020-04-06 13:18 - Go MAEDA

- Related to Patch #31230: Fix: migration fails in MS SQL-Server added

#7 - 2020-04-06 15:13 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

The issue should have already been fixed by #30285. See #31230#note-4 for the detail.

Files

screensnap.png 22.9 KB 2016-11-21 刘 彤彤
